Schedule

The Schedule resource represents a container for timeslots that can be booked using an appointment.

Schedule provides the window of time (period) that slots are defined for, and what appointments can be booked. When checking availability for an appointment, the creator of the appointment should determine which schedules are applicable, then check for available slots within each schedule.

ℹ️

Context

In Halaxy, each schedule entry represents the practice hours of a practitioner for a specific clinic. If a practitioner practices at multiple clinics, they will have separate schedule entries for each location. You can find practitioner schedules in Personal > Locations.


Endpoints

EndpointOperationDescription
GET /main/ScheduleList SchedulesRetrieves a collection of practice hours schedules for practitioners
GET /main/Schedule/{id}Show SchedulesRetrieves an individual practice hours schedule for an individual practitioner

Schema

PropertyDescription
idstring

The ID of this schedule in Halaxy
activeboolean defaults to true

Indicates if the schedule is in active use
planningHorizon

array of objects

The period of time covered by the schedule

start date

end date

Format: "YYYY-MM-DD"

actor

array of objects
Identifiers of the practitioner that this schedule is for

Practitioner
The practitioner ID within the practice group

"reference": "/main/Practitioner/PR-1234567"

"type": "Practitioner"

Organization
The clinic location

"reference": "/main/Organization/CL-123456"

"type": "Organization"

PractitionerRole
The practitioner ID for this clinic location

"reference": "/main/PractitionerRole/PR-1234567"

"type": "PractitionerRole"